function ydot = yderivs_new_not(y,K);

% this file is an experiment at getting the deriv file to go faster
cO1 = cos(y(1));
sO1 = sin(y(1));

cO2 = cos(y(2));
sO2 = sin(y(2));

cO3 = cos(y(3));
sO3 = sin(y(3));

y12 = y(1)+y(2);
y123 = y(1)+y(2)+y(3);
y23 = y(2)+y(3);

cO12 = cos(y12);
sO12 = sin(y12);
cO123 = cos(y123);
sO123 = sin(y123);
cO23 = cos(y23);
sO23 = sin(y23);

v=zeros(3,6);
M=zeros(3,3);
g=zeros(1,3);

M(3,3) = K(15);

t0 = K(1)*cO3-K(2)*sO3;

M(3,2) = M(3,3)+t0;
M(2,2) = M(3,2)+K(16)+t0;

t1 = K(3)*cO23-K(4)*sO23+K(5)*cO123-K(6)*sO123;

M(3,1) = M(3,2)+t1;

t3 = K(9)*cO2-K(7)*sO2+K(10)*cO12-K(8)*sO12;

M(2,1) = M(3,1)+K(16)+t3+t0;

t6 = K(13)*cO1-K(12)*sO1;

M(1,1) = M(2,1)+K(17)+t6+t3+t1;
M(1,2) = M(2,1);
M(1,3) = M(3,1);
M(2,3) = M(3,2);

v(3,4) = K(18)*sO3+K(19)*cO3;
v(2,6) = -v(3,4);
v(2,5) = v(2,6);
v(2,4) = v(2,5);

t8 = K(20)*sO23+K(21)*cO23;
t9 = K(22)*sO123+K(23)*cO123;

v(1,6) = -t8-t9;
v(1,5) = v(1,6);

t10 = K(26)*sO2+K(24)*cO2;
t11 = K(27)*sO12+K(25)*cO12;
t13 = t10+t11;

v(1,4) = v(1,6)-t13;
v(3,2) = v(3,4)/2;
v(2,3) = -v(3,2);
v(2,2) = v(2,3);
v(3,1) = v(3,2)+t8/2;
v(2,1) = v(2,2)+t10/2;
v(1,3) = v(1,6)/2;
v(1,2) = v(1,3)-t13/2;

t15 = K(14)*sO1+K(11)*cO1;

v(1,1) = v(1,2)-t15;

g(3) = K(28)*cO123-K(29)*sO123;
g(2) = K(30)*cO12-K(31)*sO12;
g(1) = K(32)*cO1-K(33)*sO1+K(34);

products = [y(4)*y(4);y(5)*y(5);y(6)*y(6);y(4)*y(5);y(5)*y(6);y(4)*y(6)];
vdiff = v*products+g';

vg(3) = vdiff(3);
vg(2) = vdiff(2)+vg(3);
vg(1) = vdiff(1)+vg(2);
vg=vg';


X=chol(M);
z = X'\(-vg);
Oddot=X\z;

ydot =[y(4) y(5) y(6) Oddot(1) Oddot(2) Oddot(3)]';
