function ydot = yderivstwo_new(y,KK);
% this file is an experiment at getting the deriv file to go faster
% it specializes to 2D locked knees, with pc2  set
% for locked knee
cO1 = cos(y(1));
sO1 = sin(y(1));

cO2 = cos(y(2));
sO2 = sin(y(2));

y12 = y(1)+y(2);

cO12 = cos(y12);
sO12 = sin(y12);

v=zeros(1,3);
M=zeros(2,2);


M(2,2) = KK(1);

t0 = KK(2)*cO12-KK(3)*sO12;
t1 = KK(4)*cO2-KK(5)*sO2;

M(2,1) = M(2,2)+t0+t1;

t3 = KK(6)*cO1-KK(7)*sO1;

M(1,1) = 2*M(2,1)+t3+KK(8);
M(1,2) = M(2,1);

t4 = KK(4)*sO2+KK(5)*cO2;

t5 = KK(9)*sO12+KK(10)*cO12;

v(3) = -2*t4-t5;
v(2) = v(3)/2;

t6 = KK(11)*sO1+KK(12)*cO1;

v(1) = v(2)-t6;
g2 = KK(13)*cO12-KK(14)*sO12;

products = [y(4)*y(4);y(5)*y(5);y(4)*y(5)];

vg(2) = t4*products(1)+g2;
g1 = KK(15)*cO1-KK(16)*sO1+KK(17);

vg(1) = vg(2)+v*products+g1;
vg = vg';


Oddot=M\(-vg);

ydot = [y(4) y(5) 0 Oddot(1) Oddot(2) 0]';
